<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Hamsterwatch</title>
  <link rel="stylesheet" href="//fonts.googleapis.com/css?family=Roboto:400,900|Roboto+Slab:700" type="text/css">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" type="text/css">
  <style type="text/css">
    html, body {
        margin: 0;
        padding: 0;
        width: 100%;
        height: 100%;
    }
    body {
        background: #000000;
        color: #ffffff;
        font-family: "Roboto", sans-serif;
        font-weight: 400;
        font-size: 1rem;
    }
    h1 {
      font-family: "Roboto", serif;
      font-weight: 900;
    }
    h2, h3, h4, h5, h6 {
        font-family: "Roboto Slab", serif;
        font-weight: 700;
    }
    * {
      outline: 0px solid #1890ff;
    }
    .row > div {
      background: #262626;
      border-width: 3px;
      border-style: solid;
    }
    .row > div.bg0 {
      border-image: linear-gradient(to bottom right, #f5222d, #fa8c16, #fadb14, #52c41a, #13c2c2) 1 1;
    }
    .row > div.bg1 {
      border-color: #13c2c2;
    }
    .row > div.bg2 {
      border-color: #a0d911;
    }
  </style>
  </head>
  <body>
  
    <div class="container-fluid">
      <div class="row">
        <div class="bg0 col-12 col-lg-4 offset-lg-4 mt-5 py-4">
          <h1>HAMSTERWATCH</h1>
          <strong>Last updated:</strong> <span id="clockUpdated"></span> <br />
          <strong>Time current:</strong> <span id="clockNow"></span> <br />
        </div>
      </div>
      <div class="row">
        <div class="bg1 col-12 col-lg-6 offset-lg-3 mt-5 py-4">
            <h3>Total Network Player Logins / Year</h3>
            <canvas id="chart_tnply" width="400" height="150"></canvas>
          </div>
      </div>
      <div class="row">
        <div class="bg2 col-12 col-lg-6 offset-lg-3 mt-5 py-4">
            <h3>Unique Network Player Logins / Year</h3>
            <canvas id="chart_unply" width="400" height="150"></canvas>
          </div>
      </div>
    </div>

    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.22.0/moment.min.js" type="text/javascript"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.3/Chart.min.js" type="text/javascript"></script>
    <script type="text/javascript">
      (function($) {
          $(document).ready(function() {
              console.log("Hello!");

              $("#clockUpdated").text(new Date(Date.now()).toUTCString());
              $("#clockNow").text(new Date(Date.now()).toUTCString());
              setInterval(() => {
                $("#clockNow").text(new Date(Date.now()).toUTCString());
              }, 1000);

              function drawGraphNPLY(hid, title, data) {
                  new Chart(document.getElementById(hid).getContext('2d'), {
                      type: 'line',
                      data: {
                          datasets: [{
                              xAxisID: "this-year",
                              label: title + ' this year',
                              data: data.dataset1.map(e => {
                                e.x = moment(e.x).format();
                                return e;
                              }),
                              fill: false,
                              borderColor: "#13c2c2",
                          }, {
                              xAxisID: "last-year",
                              label: title + ' last year',
                              data: data.dataset2.map(e => {
                                e.x = moment(e.x).format();
                                return e;
                              }),
                              fill: false,
                              borderColor: "#fa8c16",
                          }]
                      },
                      options: {
                          scales: {
                              xAxes: [{
                                  id: "this-year",
                                  type: 'time',
                                  display: true,
                                  scaleLabel: {
                                      display: true,
                                      labelString: 'This year'
                                  },
                                  time: {
                                      unit: 'month',
                                      min: moment(data.dataset1[0].x).format(),
                                      max: moment(data.dataset1[data.dataset1.length - 1].x).format()
                                  }
                              }, {
                                  id: "last-year",
                                  type: 'time',
                                  display: true,
                                  scaleLabel: {
                                      display: true,
                                      labelString: 'Last year'
                                  },
                                  time: {
                                      unit: 'month',
                                      min: moment(data.dataset2[0].x).format(),
                                      max: moment(data.dataset2[data.dataset2.length - 1].x).format()
                                  }
                              }],
                              yAxes: [{
                                  display: true,
                                  ticks: {
                                      beginAtZero: true
                                  },
                                  scaleLabel: {
                                      display: true,
                                      labelString: 'Players'
                                  },
                              }]
                          },
                          elements: {
                              line: {
                                  tension: 0 // disables bezier curves
                              }
                          }
                      }
                  });
              }
              $.getJSON("/api/totalNetworkPlayerLogins", d => drawGraphNPLY('chart_tnply', '# of Total Logins/day', d));
              $.getJSON("/api/uniqueNetworkPlayerLogins", d => drawGraphNPLY('chart_unply', '# of Unique Logins/day', d));
          });
      })(jQuery)
    </script>
  </body>
</html>
